/**
 * Copyright (C) 2001-2002
 * - France Telecom R&D
 * - Laboratoire Logiciels, Systemes, Reseaux - UMR 5526, CNRS-INPG-UJF
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors:
 *
 */

package org.objectweb.perseus.cache.api;

/**
 *   Defines   the interface  template   for  CacheEvent
 * implementation.
 *
 * @author Luciano Garcia-Banuelos (Luciano.Garcia@imag.fr)
 */
public interface CacheEvent {

    /**
     * Used to notify an add object to cache event.
     */
    static final int NOTIFY_BIND = 1;
    /**
     * Used to notify an object eviction event.
     */
    static final int NOTIFY_UNBIND = 2;

    /**
     * Returns the cache event type.
     */
    int getEventId();

    /**
     * @return the entry bound
     */
    CacheEntry getEntry();

	/**
	 * @return the identifier of the entry unbound
	 */
	Object getCeIdentifier();
}
